Sign in to follow this  
Followers 0
Роман Роман

Нарисовать параболу

8 posts in this topic

Pinned posts

Приветствую!

 

Возможно проблема у меня мелкая, но в последнее время запарила.

Рисую в скетче параболу путём задания точек, с заранее вычисленными координатами. Потом сплайном соединяю. Получается долго.. Особенно если нужно много вариантов создать.

Решил создать массив точек в матлабе с сохранением в файл *.iges, потом импортировал в скетч - получилась не единая кривая, а множество отрезков. Очень плохо для сетки.

 

В общем, вопросы:

1) Можно ли рисовать кривые в скетче, задавая их функцией? (но чтобы кривая получалась цельная, а не кусочная)

2) Есть ли способ создать iges файл так, чтобы абакус воспринимал точки как один "сплайн-объект"?

Share this post


Link to post
Share on other sites


UnPinned posts

iges делаю так:

Скрытый текст

 

% координаты точек параболы (x y z)

  N=50;

  x=logspace(0,log10(41),N+1)-1;   y=(x.^2)/20;    z=zeros(N+1,1);

 

% Заполнение первой сотни объектов, т.к. какие-то косяки получаются после импорта

  for i=1:100; iges{i}=[-100 -100 0]; end

 

% Запись нужных точек в объект №101

  iges{101}=[x' y' z];

 

% Создание файла

igesout(iges, parab10_50elem');

 

Share this post


Link to post
Share on other sites

Запиши макрос по созданию сплайна, потом подставь нужные точки.

 


# -*- coding: mbcs -*-
#
# Abaqus/CAE Release 6.14-3 replay file
# Internal Version: 2015_02_02-23.17.19 134785
# Run by Alice Kleeve on Tue Oct 23 10:43:10 2018
#

# from driverUtils import executeOnCaeGraphicsStartup
# executeOnCaeGraphicsStartup()
#: Executing "onCaeGraphicsStartup()" in the site directory ...
from abaqus import *
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=321.222381591797, 
    height=240.947219848633)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
session.viewports['Viewport: 1'].partDisplay.geometryOptions.setValues(
    referenceRepresentation=ON)
Mdb()
#: A new model database has been created.
#: The model "Model-1" has been created.
session.viewports['Viewport: 1'].setValues(displayedObject=None)
s = mdb.models['Model-1'].ConstrainedSketch(name='__profile__', 
    sheetSize=200.0)
g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraints
s.setPrimaryObject(option=STANDALONE)
# INSERT SPLINE POINTS HERE >>>>>
s.Spline(points=((-40.0, 20.0), (-27.5, 5.0), (-12.5, -5.0), (12.5, 10.0), (
    22.5, 20.0)))
p = mdb.models['Model-1'].Part(name='Part-1', dimensionality=TWO_D_PLANAR, 
    type=DEFORMABLE_BODY)
p = mdb.models['Model-1'].parts['Part-1']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Model-1'].parts['Part-1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Model-1'].sketches['__profile__']
mdb.models['Model-1'].parts['Part-1'].setValues(geometryRefinement=EXTRA_FINE)
 

3 people like this

Share this post


Link to post
Share on other sites

@piden , спасибо огромное, вроде работает!

Но...

Для меня это в новинку, и кажется, что я делаю всё коряво и что-то не так: 

Через Macro Manager я записываю макрос создания парта. Появляется файл с расширением .rec. В нём действительно сидит сплайн, но файл не редактируется, и исчезает при закрытии абакуса.

Тогда его нужно скопировать и закрыть cae. Отредактировать rec, сохранить под изначальным именем и запустить cae, выбрать recover, получаем новый парт.

 

И ещё, другой cae не хочет подхватывать этот макрос...

Share this post


Link to post
Share on other sites
15 minutes ago, Роман Роман said:

И ещё, другой cae не хочет подхватывать этот макрос...

Погугли "run macro in abaqus".

Скопируй, сохрани с расширением .py, потом делай File > Run script.

Ну в самом деле!..

1 person likes this

Share this post


Link to post
Share on other sites
42 минуты назад, piden сказал:

Ну в самом деле!..

Ну... вот так..

Спасибо за помощь!

Share this post


Link to post
Share on other sites
2 часа назад, piden сказал:

Alice

@piden А что это за девочка и где она живет? :smile:

1 person likes this

Share this post


Link to post
Share on other sites
11 minutes ago, Blurp said:

@piden А что это за девочка и где она живет? :smile:

...Вдруг в абакусе шарит? И на машинке шьет?

Ну а вы с такими рожами возьмете и припретесь

К Alice....

Вот не нада! piden уже здесь! ))

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.



  • Сообщения

    • Snake 60
      Кому скидываться? По сколько и сколько уже собрано, если собрано...
    • Snake 60
      @Rom81 Попробуйте от обратного. Сначала создайте как обычную твердотельную деталь, затем преобразуйте в листовую.
    • Maik812
      Любые свойства в любой момент конвертнуть можно Total commander  но при Солиде 2014.
    • BarDuck
      Добрый день, форумчане. Помогите выбрать 3d сканер для сканирования. Область сканирования до 200 мм. Точность 40 мкм. будет достаточной, но возможно и точнее. Предполагается сканирование рабочих колец, лопаток турбин, камер сгорания, сложных конструкций c наплывом. 
      Пример детали ниже. Вообще желательно не ручной сканер, так как они у меня ассоциируется с сканированием лепнины, фигурок. Есть кто работает с подобными конструкциями? Все равно если использовать стационарный сканер наподобие Range Vision будут проблемы при попадание на спинки и корытца лопаток(черыне обыласти). 
      Кто-нибудь пользуется сканером Range Vision Pro 5M?
    • Leon
      Я все надеялся что кто-нибудь тебе ответит, но все уже устали на этот вопрос отвечать. Из названия метода finish понятно что он не для запуска.
    • don108
      на написание постов, а не занятием бредятиной ... чувствуешь разницу?
    • SAPRonOff
      ссылку покажете? https://ascon.ru/products/    крайнее упоминание о QiBox  относится к 7-8 летней давности: на написания двух последних ваших постов же ушло больше времени :( у меня выводы неоднозначные
    • ShifuCheng
      NX я пока как вижу в плоскостях хорош. На самом деле в Extrude в NX можно отсут задать, но нельзя указать явным образом от какой поверхности стартануть.
    • Ветерок
      Ну да. В построении бобышек Солид уделал и Крео тоже. Вообще Солид очень хорошо приспособлен для разных бобышек. Ну и что? Должен же Солид быть хоть в чем-то лучше других. Вот в построении бобышек он лучше. А во всём остальном - увы...
    • KorovnikovAV
      Ой, обобщения поперли. Причем на основании форума. Ну почему бы и нет. *поправляя монокль* а вот даже у аскона есть отраслевое решение для производства автокомпонентов, а у флекса дырка от бублика.    Максимально быстро набросать модель во флексе очень важно. Нужно как можно быстрее передать геометрию под обработку в эникс (потому что флекс-кам это билет в один конец на обработку до пенсии).